0

I installed the ubuntu mobile SDK a while ago on my ubuntu 13.04 machine via http://developer.ubuntu.com/get-started/

After a few days there appeared a compiler/linker error - even when compiling the standard GUI project for QT:

cannot find -lGL
collect2: error: ld returned 1 exit status

A non QT c++ hello world project compiles and pretends to start (it says in the ide starting) but it never says "Hello World" or even quits.

Also the QT-Creator suddenly had a weird bug. When I clicked on "Develop" a few non-closeable windows appeared showing like a screenshot of the qt creator window.

I could not find out what happened, so I decided to uninstall the SDK and return to the standard software center QT Creator version. I used ppa-purge on the SDK ppa's and so I uninstalled the sdk ... I hope. But I still get the same errors. Only that weird bug disappeared.

I also tried apt-get purge on the QT creator but it did not seem to work (no settings were lost after reinstalling).

I thought maybe I should try installing the SDK again, but I heard it's complicated when I mix up QT4 and QT5 stuff. So I decided to ask for an answer here.

So, my question is, how can I get QT Creator working again? I don't really care whether I use QT4 or QT5. I did not write that much so this is no problem. I'd prefer QT5, though. Thank you.

1

Try this sudo apt-get install libglu1-mesa-dev

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.